// cGameCreateDlg.h: interface for the cGameCreateDlg class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cGameCreateDlg_H
#define cGameCreateDlg_H

#include "cDialog.h"
#include "cGameInfo.h"


class cGameCreateDlg : public cDialog{
	enum eDialogItemId{
		IDC_NAME_EDIT = IDOK + 1000
	};
private:
	static BOOL ClassRegistered;
	cGameInfo *pGameInfo;

protected:

	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "GameCreate"; }
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	virtual BOOL Create(cWindow *_pParent);
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	void OnCreate(LPARAM lParam);
	void OnDestroy();
	void OnPaint(WPARAM wParam, LPARAM lParam);
	BOOL OnCommand(WPARAM wParam, LPARAM lParam);

public:
	cGameCreateDlg();
	virtual ~cGameCreateDlg();

	virtual int DoModal(cWindow *_pParent, cGameInfo *_pGameInfo);

};

#endif
